#include <bits/stdc++.h>
using namespace std;
long long N,Q,A[10000005],B[10000005],br,j;
int main(){
 cin>>N>>Q;
 for(int i=1; i<=N; i++){
  cin>>A[i];
 }
 for(int i=1; i<=Q; i++){
  cin>>B[i];
 }

 for(int i=1; i<=Q; i++){
   if(B[i]==A[N/2+1]){
    br=0;
   }
   else if(B[i]==A[N]+1){
    br=N;
   }
   else if(B[i]>A[N/2+1] and B[i]<A[N]){
    j=abs(B[i]-N)+1;
    br=j*2-N;
   }
   else{
    j=abs(B[i]-N)+1;
    br=(abs(j-1)*2)-N;
   }
  cout<<br<<endl;
 }
 return 0;
}